<div id="domain" :style="`background-color: ${setting.backgroundColor}`">
  <div id="carousel">
    <div v-if="bannerId && bannerId.length" id="banner-homepage">
      <VueSlickCarousel v-bind="settings">
        <div
          class="carousel-card fheight pos-relative"
          v-for="(banner, i) in bannerId"
          :key="i"
        >
          <img
            :src="convertImage(banner.imageUrl)"
            v-if="banner.imageUrl"
            class="w-full"
          />
        </div>
      </VueSlickCarousel>
    </div>
    <div v-else>
      <img src="@/static/banner.jpg" height="440px" style="width: 100%" />
    </div>
  </div>
  <div style="max-width: 1344px" class="mx-auto pb-16 pr-8 pl-8">
    <div
      class="mt-16"
      v-html="setting.topDesc"
      :style="`color: ${setting.textColor}`"
    ></div>
    <div
      class="mt-3"
      style="min-height: 400px"
      v-if="listStoreView && listStoreView.length"
    >
      <p
        class="mb-0 text-center"
        style="font-size: 32px"
        :style="`color: ${setting.textColor}`"
      >
        Our picks for you
      </p>
      <v-row class="mt-4">
        <v-col cols="12" sm="3" v-for="(store, i) in listStoreView" :key="i">
          <a
            :href="parseLink(store)"
            target="_blank"
            class="text-decoration-none"
          >
            <div
              v-if="store.listVariantSellerId && store.listVariantSellerId.length"
              class="border-card-homepage"
            >
              <div style="height: 225px">
                <img
                  :src="convertImage(store.listVariantSellerId[0].imageId.imageUrl)"
                  alt=""
                  height="100%"
                  width="100%"
                  v-if="store.listVariantSellerId[0] && store.listVariantSellerId[0].imageId && store.listVariantSellerId[0].imageId.imageUrl"
                />
              </div>
              <div class="pa-5">
                <div style="min-height: 104px">
                  <p
                    class="mb-0 title-product"
                    :style="`color: ${setting.textColor}`"
                  >
                    {{store && store.productName}}
                  </p>
                </div>
                <div>
                  <p
                    class="mb-0 price-product"
                    :style="`color: ${setting.textColor}`"
                  >
                    ${{store && store.listVariantSellerId[0] &&
                    store.listVariantSellerId[0].price}}
                  </p>
                </div>
              </div>
            </div>
          </a>
        </v-col>
      </v-row>
    </div>
    <div class="d-flex justify-center mt-6">
      <v-pagination v-model="page" :length="totalPage"></v-pagination>
    </div>
  </div>
</div>
